Name: itpp
Summary: IT++ is a C++ library of mathematical, signal processing, speech processing, and communications classes and functions
Version: 3.10.9
Release: 1
Source: http://download.sourceforge.net/itpp/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: GPL
Packager: Adam Piatyszek <ediap@users.sourceforge.net>
URL: http://itpp.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: /sbin/ldconfig
Prefix: %{_prefix}

%description 
IT++ is a C++ library of mathematical, signal processing, speech processing,
and communications classes and functions. 
The kernel of the IT++ library are templated vector and matrix classes, and
lots of functions for vectors and matrices. Such a kernel makes IT++ library
similar to Matlab.
IT++ makes an extensive use of existing open-source libraries (but not only)
for increased functionality, speed and accuracy. In particular BLAS, CBLAS,
LAPACK and FFTW libraries might be used. Instead of NetLib's reference BLAS
and LAPACK, some optimized platform-specific libraries can be used as well,
i.e.:
  o ATLAS (Automatically Tuned Linear Algebra Software) - includes optimised
    BLAS, CBLAS and a limited set of LAPACK routines
  o MKL (Intel Math Kernel Library) - includes all required BLAS, CBLAS,
    LAPACK and FFT routines (FFTW not required)
  o ACML (AMD Core Math Library) - includes BLAS, LAPACK and FFT routines
    (FFTW not required)
It might be possible to compile and use IT++ without any of the above listed
libraries, but the functionality will be reduced.

%package html-doc
Summary: HTML documentation for the IT++ library
Group: System Environment/Libraries

%description html-doc
This package contains the documentation in the HTML format of the IT++
library. The documentation is the same as at the IT++ web page.

%prep
%setup -q

%build
%configure --with-docdir=%{_docdir}/%{name}-html-doc
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_datadir}/%{name}/*.m

%files html-doc
%doc %{_docdir}/%{name}-html-doc

%changelog
* Mon Feb 13 2006  Adam Piatyszek  <ediap@users.sourceforge.net>
- Created subpackage `itpp-html-doc' with HTML documentation

* Fri Feb 10 2006  Adam Piatyszek  <ediap@users.sourceforge.net>
- Added missing *.a and *.m files

* Thu Feb 09 2006  Adam Piatyszek  <ediap@users.sourceforge.net>
- Changes in `Name', `Version' and `Release' definitions
- Removed distribution dependent release settings
- Added DESTDIR to make install command

* Wed Dec 28 2005  Adam Piatyszek  <ediap@users.sourceforge.net>
- Fixed `name' and `version' definitions
- Added `itpp-config' in %files section

* Fri Dec 23 2005  Adam Piatyszek  <ediap@users.sourceforge.net>
- Initial spec file prepared
